Bug 220574 - authconfig.8 synopsis markup is a mess
authconfig.8 synopsis markup is a mess
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-22 00:18 EST by Eric Raymond
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: authconfig-5.3.14-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-12 09:41:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fix patch for authconfig.8 (3.15 KB, patch)
2006-12-22 00:18 EST, Eric Raymond
no flags Details | Diff

  None (edit)
Description Eric Raymond 2006-12-22 00:18:24 EST
Description of problem:
The command synopsis markup of authconfig(8) is a mess -- it violates
some of the standard conventions for synopses.  This doesn't matter
much when the Mark One Eyeball is doing the reading, but it plays
hell with attempts to parse the syntax for translation purposes.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run doclifter in an attempt to lift the manual page to XML-Docbook.

  
Actual results:
doclifter barfs.

Expected results:
XML.

Additional info:
Fix patch attached.  Patch also visually groups the options, making the
pile a little easier to read.
Comment 1 Eric Raymond 2006-12-22 00:18:24 EST
Created attachment 144250 [details]
Fix patch for authconfig.8
Comment 2 Tomas Mraz 2006-12-22 03:35:55 EST
Thanks for the patch.

Note You need to log in before you can comment on or make changes to this bug.